
QGIS Application - Bug report #14758

Wrong feature count for rules with geometry expression

2016-05-03 02:20 AM - Anita Graser

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: GUI

Affected QGIS version:2.14.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22715

Description

In a rule based renderer, if rules use e.g. the $area function, the feature count in the legend is always 0. (Other rules work correctly)

(I've added #10366 as related, but the number of results is displayed correctly when testing the rule. )

Related issues:

Related to QGIS Application - Bug report # 10366: Rule based Filter Test alwa... Closed 2014-05-27

Related to QGIS Application - Bug report # 13473: oracle show 0 when asked fo... Closed 2015-10-01

Associated revisions

Revision e80e5416 - 2016-06-06 01:59 PM - Matthias Kuhn 

Show correct feature count with rule that requires geometry

Fix #14758

History

#1 - 2016-05-03 02:22 AM - Anita Graser

- Category set to Vectors

#2 - 2016-05-03 02:23 AM - Anita Graser

- Category changed from Vectors to GUI
#3 - 2016-05-04 04:06 AM - Richard Duivenvoorde

Hi Anita,

what is your datasource? I had a related issue #13473 with Oracle, but that appeared to be wrong stats...

#4 - 2016-05-04 05:41 AM - Anita Graser

It's just an ordinary Shapefile that I created in QGIS.

#5 - 2016-06-06 04:31 AM - Matthias Kuhn

- Assignee set to Matthias Kuhn

#6 - 2016-06-06 04:59 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"e80e54162fac2a83cb0c8a9325ffcae71ac9143e".
